<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    
</head>
<body>
    <script>
        // Function setTimeout
    setTimeout(function(){ alert('Hello VietNam') } ,1000); // thực hiện 1 lần 

    setInterval(function(){ alert('Tôi đang học javascript') },2000) // thực hiện mãi mãi

    var obj_1 = setTimeout(function(){
        alert("sử dụng hàm clearTimeout!")
        clearTimeout(obj_1)
    }, 3000)
    var obj_2 = setInterval(function(){
        alert('sử dụng clearInterval')
        clearInterval(obj_2)
    }, 3000)

    </script>
</body>
</html>